#ifndef Rundenende_H
#define Rundenende_H

#include <TextFeld.h>
#include <Rahmen.h>

using namespace Framework;

class RundenEnde
{
private:
	LRahmen *rahmen;
	TextFeld *text;
	TextFeld *warten;
	bool sichtbar;
	int ref;

public:
	// Konstruktor
	RundenEnde( Schrift *zSchrift );
	// Destruktor
	~RundenEnde();
	// nicht constant
	void setSichtbar( bool b );
	void setGewonnen( bool gewonnen );
	void setZeit( int sekunden );
	void render( Bild &zRObj );
	// constant
	bool istSichtbar() const;
	// Reference Counting
	RundenEnde *getThis();
	RundenEnde *release();
};

#endif