#ifndef VideoDaten_H
#define VideoDaten_H

#include <Text.h>

using namespace Framework;

// Dateikopf (ersten 4 bytes)
struct SpielVideoDaten
{
	int spielerAnzahl;
};
// Fr jeden Spieler nach dem Dateikopf (folgenden 28 bytes)
struct SpielerVideoDaten
{
	int index;
	int spielerNummer;
	int kamBreite;
	int kamHhe;
	int team;
	int spielerFarbe;
	int teamFarbe;
	Text name;
	Text teamName;
};
// Fr jedes Team (folgenden 12 bytes)
struct TeamVideoDaten
{
	int teamNummer;
	int maxPunkte;
	int punkte;
};
// Fr jede neue Runde (folgenden 8 bytes)
struct RundeVideoDaten
{
	int mapBreite;
	int mapHhe;
};
// Fr jede Runde fr jeden Spieler (folgenden 36 bytes)
struct RundeSpielerVideoDaten
{
	double wendigkeit;
	double xPos;
	double yPos;
	double xSpeed;
	double ySpeed;
};
// Fr jede Netzwerk Nachricht (folgenden 6 bytes) mit 0x01 Eingeleitet
struct NachrichtVideoDaten
{
	int spielerNummer;
	short ln;
};
// Dann folgen 'ln' bytes Daten fr jede Nachricht
#endif